#!/bin/sh

BSCCCONF_FILE="./mnt/fsuser-1/bscc/var.xml"

if [ -f ${BSCCCONF_FILE} ]; then
# Change of unit since 2.3: remove bad RSSI hysteresys and threshold
  sed -i "/rssi_hysteresis/d" ${BSCCCONF_FILE}
  sed -i "/rssi_threshold/d" ${BSCCCONF_FILE}

# remove bad NTP servers
  sed -i "/ntp1/d" ${BSCCCONF_FILE}
  sed -i "/ntp2/d" ${BSCCCONF_FILE}

# remove previous rollback TMO value of 60. bscc will set new default value
  sed -i -r "/config_rollback_tmo_mn.*\"60\"/d" ${BSCCCONF_FILE}
  
fi

sync
